package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Ncd;
import com.brilliance.isc.vo.lg.InfgcdDetailVo;
import com.brilliance.isc.vo.lg.InfncdDetailVo;
import com.brilliance.isc.vo.lg.QueryConditionInfoVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;


@Mapper
public interface NcdMapper {
    int insert(Ncd record);

    int insertSelective(Ncd record);

    int updateByPrimaryKeySelective(Ncd record);

    int updateByPrimaryKey(Ncd record);

    int deleteByPrimaryKey(Ncd record);

    int deleteByIds(Collection<Object> collection);

    Ncd selectByPrimaryKey(Ncd record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Ncd> dyncRead(Map<String, Object> dyncMap);

    int getActPendingClaimCount(@Param("inr") String inr);

    int getNcdCount(@Param("inr") String inr);

    int getSptCount(@Param("ownref") String ownref, @Param("inr") String inr);

    List<Ncd> getNcdByNidinr(@Param("nidinr") String inr);

    List<InfncdDetailVo> queryInfncd(QueryConditionInfoVo conditionInfoVo);

    Ncd selectByPntinr(String pntinr);

    List<String> getNcdOwnrefList(@Param("inr") String inr);

    List<String> getSptOwnrefList(@Param("ownref") String ownref,@Param("inr") String inr);

    Ncd selectByAnyref(@Param("objtyp") String objtyp,@Param("ref") String ref,@Param("rol") String rol);

    Ncd selectByWhere(Ncd record);

    Ncd selectOneByOwnRef(@Param("ownRef") String ownRef);


}
